Bug 114750 - [Qt][Mac] Remove obsolete workaround for debug builds
Summary: [Qt][Mac] Remove obsolete workaround for debug builds
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andras Becsi
URL:
Keywords:
Depends on:
Blocks: 110211
  Show dependency treegraph
 
Reported: 2013-04-17 11:01 PDT by Andras Becsi
Modified: 2013-04-20 02:52 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.87 KB, patch)
2013-04-17 11:02 PDT, Andras Becsi
no flags Details | Formatted Diff | Diff
Patch (1.82 KB, patch)
2013-04-17 11:08 PDT, Andras Becsi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Becsi 2013-04-17 11:01:17 PDT
[Qt][Mac] Remove obsolete workaround for debug builds
Comment 1 Andras Becsi 2013-04-17 11:02:48 PDT
Created attachment 198585 [details]
Patch
Comment 2 Andras Becsi 2013-04-17 11:08:00 PDT
Created attachment 198587 [details]
Patch
Comment 3 Jocelyn Turcotte 2013-04-18 00:44:35 PDT
Comment on attachment 198587 [details]
Patch

If this is broken there is good chance that all references to BASE_TARGET are also broken.
Comment 4 Andras Becsi 2013-04-18 03:15:25 PDT
(In reply to comment #3)
> (From update of attachment 198587 [details])
> If this is broken there is good chance that all references to BASE_TARGET are also broken.

My understanding is that the BASE_TARGET hack only applies for framework builds of Qt, which do not have the version number in their name.
(The corresponding issue was reported here https://bugreports.qt-project.org/browse/QTBUG-30466)


This causes a problem for non-framework builds where we tried to support debug-only builds with this hack.
My assumption is that this workaround was put in place to remove the "_debug" suffix and probably worked before the library split when there was no version number in the libraries.
Comment 5 Andras Becsi 2013-04-18 03:19:33 PDT
Btw, I tried both framework and non-framework builds with this, using build-webkit and simply qmake && make and both worked.

The stable branch is also missing the BASE_TARGET hack from the widgets.pri, so I'm going to cherry-pick that from trunk.
Comment 6 Jocelyn Turcotte 2013-04-19 08:12:26 PDT
Personally I don't use the configuration covered by that code, so if Tor Arne and Zeno are good with it I think it's good.
Comment 7 Jocelyn Turcotte 2013-04-19 08:12:57 PDT
Comment on attachment 198587 [details]
Patch

r=me if you make sure they are OK with it.
Comment 8 Zeno Albisser 2013-04-19 09:42:37 PDT
(In reply to comment #7)
> (From update of attachment 198587 [details])
> r=me if you make sure they are OK with it.

Lgtm
Comment 9 Andras Becsi 2013-04-20 02:51:57 PDT
Comment on attachment 198587 [details]
Patch

Clearing flags on attachment: 198587

Committed r148789: <http://trac.webkit.org/changeset/148789>
Comment 10 Andras Becsi 2013-04-20 02:52:04 PDT
All reviewed patches have been landed.  Closing bug.